<div
  x-data="{ auth: App.Auth }"
  x-init="auth.Session = await auth.getSession() || await auth.createSession()"
  class="max-w-2xl mx-4 sm:max-w-sm md:max-w-sm lg:max-w-sm xl:max-w-sm sm:mx-auto md:mx-auto lg:mx-auto xl:mx-auto bg-white shadow-xl rounded-lg text-gray-900"
>
  <template x-if="auth.isAuthenticated()">
    <div>{{ partial "user/profile" . }}</div>
  </template>

  <!-- Show user login options -->
  <template x-if="!auth.isAuthenticated()">
    <div
      class="min-h-96"
      x-data="{ type: auth?.type }"
    >
      <template x-if="!type">
        <div>{{ partial "user/auth/none" . }}</div>
      </template>
      <template x-if="type == 'oauth2'">
        <div>{{ partial "user/auth/oauth2" . }}</div>
      </template>
      <template x-if="type == 'tokens'">
        <div>{{ partial "user/auth/token" . }}</div>
      </template>
      <div
        x-cloak
        x-show="!auth.isAuthenticated()"
        class="flex px-4 mx-4 py-2 border-t text-gray-500/50"
      >
        <a
          class="text-gray-500/25 hover:text-gray-500/75 hover:cursor-pointer"
          @click.prevent="type = 'oauth2'"
        >
          <i class="fa-solid fa-chevron-left"></i>
        </a>
        <span
          class="flex-1 text-center"
          x-text="type || 'No auth provider'"
        ></span>
        <a
          class="text-gray-500/25 hover:text-gray-500/75 hover:cursor-pointer"
          @click.prevent="type = 'tokens'"
        >
          <i class="fa-solid fa-chevron-right"></i>
        </a>
      </div>
    </div>
  </template>
</div>
